# SoPendulum Class Reference
[Nodes]

`#include <Inventor/nodes/SoPendulum.h>`

Inheritance diagram for SoPendulum:

List of all members.

## Detailed Description

The SoPendulum class is used to create oscillating rotations.

A smooth transition between rotation0 and rotation1 is created using a cosine function. In the beginning of the cycle, rotation0 is used. Halfway through the cycle, the resulting rotation equals rotation1, and at the end of the cycle, we're at rotation0 again.

## Public Member Functions

| SoPendulum (void)
virtual void | write (SoWriteAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFRotation | rotation0
SoSFRotation | rotation1
SoSFFloat | speed
SoSFBool | on

## Protected Member Functions

virtual | ~SoPendulum ()

## Constructor & Destructor Documentation

SoPendulum::SoPendulum | ( | void |  | ) |

| Constructor.

SoPendulum::~SoPendulum | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoPendulum::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoRotation.

void SoPendulum::write | ( | SoWriteAction * | action | ) | `[virtual]`

| Action method for SoWriteAction. Writes out a node object, and any connected nodes, engines etc, if necessary. Reimplemented from SoNode.

## Member Data Documentation

SoSFRotation SoPendulum::rotation0

| The first rotation limit of the interpolation.

SoSFRotation SoPendulum::rotation1

| The other rotation limit of the interpolation.

SoSFFloat SoPendulum::speed

| Speed in cycles per second. Defaults to 1.

SoSFBool SoPendulum::on

| Toggles animation on or off. Defaults to being `on`.

The documentation for this class was generated from the following files:

- SoPendulum.h
- SoPendulum.cpp